v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kit-types
Retrieves kit types by study ID. Rights: OrsInventoryGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
8ECE2C9D389645B09740DC7926DEFB69
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
204 Response
Successful operation
Root Schema : KitTypesResponse
Type:
objectTitle:
KitTypesResponseResponse object containing kit types.
Show Source
-
errorData: string
Title:
Error DataError data.Example:Some string -
result: array
Result
Title:
ResultList of kit types. -
status: string
Title:
StatusStatus string.Example:success -
version: number
(double)
Title:
VersionVersion.Example:1
Nested Schema : Result
Type:
arrayTitle:
ResultList of kit types.
Show Source
-
Array of:
object KitTypesTO
Contains details about kit types.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"kitTypeName":"Kit A",
"description":"Non-Dosing",
"packageTypeId":5
}
]Nested Schema : KitTypesTO
Type:
objectContains details about kit types.
Show Source
-
bufferdays: number
(BigDecimal)
Buffer days.Example:
5 -
dispenseOutsideWindow: string
Allowed Values:
[ "0", "1" ]Indicate whether to dispense kits outside window.Example:1 -
distributionSetting: string
Allowed Values:
[ "BLINDED", "UNBLINDED" ]Kit distribution setting.Example:BLINDED -
dosage: number
(BigDecimal)
Kit dosage.Example:
5 -
id: string
(uuid)
Unique identifier
-
isDefault: string
Indicate if kit type is default.Example:
1 -
kitDescription: string
Kit description.Example:
Some description -
kitId: string
(uuid)
Kit ID.
-
kitTypeId: string
Kit type ID.Example:
kit_A -
minShipUnits: number
(BigDecimal)
Mininum kits to ship.Example:
5 -
storageSetting: string
Allowed Values:
[ "AMBIENT", "REFRIGERATED", "FROZEN" ]Kit storage setting.Example:REFRIGERATED -
studyId: string
(uuid)
Study ID.
-
studyVersionEnd: string
(date-time)
Study version end.
-
studyVersionStart: string
(date-time)
Study version start.
-
trialSupplyType: string
Trial supply type for the kit.Example:
BOTTLE -
unitsPerKit: number
(BigDecimal)
Number of units per kit.Example:
5 -
versionEnd: string
(date-time)
Version end date.
-
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"kitTypeName":"Kit A",
"description":"Non-Dosing",
"packageTypeId":5
}500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object